%define grassfix 64
%define betaver RC6

Name: 		grass
Version: 	6.4.0
Release: 	%mkrel -c %betaver 1
Group: 		Sciences/Geosciences
Summary: 	Geographic Resources Analysis Support System
License: 	GPLv2+
URL: 		http://grass.osgeo.org/
Source:		http://grass.osgeo.org/grass%{grassfix}/source/grass-%{version}%{betaver}.tar.gz
Source2: 	grass5_48.png.bz2
Source3: 	grass5_32.png.bz2
Source4: 	grass5_16.png.bz2
Patch0:		grass-6.4.0RC6-fix-link.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: xterm 
Requires: tk 
Requires: tcl
BuildRequires:  libxmu-devel
BuildRequires: 	png-devel 
BuildRequires:  jpeg-devel 
BuildRequires:  tiff-devel 
BuildRequires:  gd-devel >= 2.0 
BuildRequires:  freetype2-devel
BuildRequires:	cairo-devel
BuildRequires: 	MesaGLU-devel 
BuildRequires:  unixODBC-devel 
BuildRequires:  fftw-devel 
BuildRequires:  lesstif-devel
BuildRequires: 	tk tk-devel
BuildRequires:  ncurses-devel 
BuildRequires:  zlib-devel 
BuildRequires:  gdbm-devel 
BuildRequires:  readline-devel 
BuildRequires:  postgresql-devel
BuildRequires:	gcc-gfortran 
BuildRequires:  gdal-devel >= 1.2.0 
BuildRequires:  flex
BuildRequires:	swig 
BuildRequires:  bison
BuildRequires:  proj-devel proj >= 4.4.7
BuildRequires:  tcl tcl-devel
BuildRequires:  fftw-devel
BuildRequires:	cfitsio-devel
BuildRequires:	unixODBC-devel
BuildRequires:  mysql-devel
BuildRequires:	termcap-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	python-devel
BuildRequires:	libwxPythonGTK-devel
BuildRequires:	sqlite-devel
BuildRequires:	lzma
# deal with Xorg split
BuildRequires:	mesaglw-devel

Obsoletes:	grass57

%description
GRASS (Geographic Resources Analysis Support System) is an 
open source, Free Software Geographical Information System (GIS)
with raster, topological vector, image processing, and graphics
production functionality that operates on various platforms 
through a graphical user interface and shell in X-Window.

%prep
%setup -q -n %name-%{version}%{betaver}
%patch0 -p0

%build
%define __cputoolize true
%define Werror_cflags %nil
%configure2_5x --host=%{_host} \
%if "%_lib" != "lib"
	--enable-64bit \
%endif
	--with-dbm-includes=%{_includedir}/gdbm/ \
	--with-postgres \
%if %mdkversion >= 200900
	--with-postgres-includes=%{_includedir}/ \
%else
	--with-postgres-includes='%{_includedir}/pgsql %{_includedir}/pgsql/internal' \
%endif
	--with-freetype \
	--with-freetype-includes=%{_includedir}/freetype2 \
	--with-motif \
	--with-cairo \
	--with-opengl-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-libs=%{_libdir} \
	--with-motif-includes=%{_includedir} \
	--with-gdal  \
	--with-mysql --with-mysql-includes=%{_includedir}/mysql \
	--with-odbc \
	--enable-largefile \
%if %mdkversion >= 200900
	--with-ffmpeg --with-ffmpeg-includes=%{_includedir}/lib*/ \
%else
	--with-ffmpeg --with-ffmpeg-includes=%{_includedir}/ffmpeg \
%endif
	--with-curses \
	--with-python --with-wxwidgets="/usr/lib/wxPython/bin/wx-config"\
	--with-sqlite \
	--with-cxx \
	--with-proj-share=%{_datadir}/proj \
	--with-nls \
	--with-readline

%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
#%makeinstall_std INST_DIR=%{_libdir}/grass%{grassfix}
# Actions in make install that don't take into account packaging in a place different to running:
sed -e 's|^GISBASE.*|GISBASE=%{_libdir}/grass%{grassfix}|' \
 bin.%{_target_platform}/grass%{grassfix} > $RPM_BUILD_ROOT/%{_bindir}/grass%{grassfix}
chmod a+x $RPM_BUILD_ROOT/usr/bin/grass%{grassfix}

mkdir -p %{buildroot}/%{_libdir}/grass%{grassfix}
cp -a dist.%{_target_platform}/* %{buildroot}/%{_libdir}/grass%{grassfix}

# Add makefiles to includes:
cp -a include/Make %{buildroot}/%{_libdir}/grass%{grassfix}/include/

# Manually archive the man pages:
lzma $RPM_BUILD_ROOT/%{_libdir}/grass%{grassfix}/man/man?/*

mkdir $RPM_BUILD_ROOT/%{_libdir}/grass%{grassfix}/locks/

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Grass%{grassfix}
Comment=Geographic Resources Analysis Support System
Exec=%{_bindir}/grass%{grassfix} 
Icon=%{name}
Terminal=true
Type=Application
Categories=Science;Geology;
EOF

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/ld.so.conf.d
cat > $RPM_BUILD_ROOT%_sysconfdir/ld.so.conf.d/grass.conf << EOF
%_libdir/grass%{grassfix}/lib
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
%if %mdkversion < 200900
%update_menus
%update_icon_cache hicolor
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%postun
%if %mdkversion < 200900
%clean_menus
%clean_icon_cache hicolor
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%_sysconfdir/ld.so.conf.d/*
%{_libdir}/grass%{grassfix}/
%{_datadir}/applications/mandriva-grass.desktop
%{_iconsdir}/*/*/*/*
%attr(1777,root,root) %{_libdir}/grass%{grassfix}/locks
%doc AUTHORS COPYING INSTALL README CHANGES


%changelog
* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 6.4.0-0.RC6.1mdv2010.1
+ Revision: 531071
- fix linkage on python binding
- new version 6.4.0RC6

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 6.4.0-0.RC5.1mdv2010.0
+ Revision: 385530
- New version 6.4.0 RC5

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 6.4.0-0.RC4.1mdv2009.1
+ Revision: 366560
- 6.4 rc 4

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.4.0-0.RC3.3mdv2009.1
+ Revision: 349189
- rebuild for latest readline

  + Funda Wang <fwang@mandriva.org>
    - update URL

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 6.4.0-0.RC3.2mdv2009.1
+ Revision: 334142
- fix linkage of cairo module
- fix cairo detection
- support cairo and pgsql

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 6.4.0-0.RC3.1mdv2009.1
+ Revision: 333828
- fix typo
- cleanup spec
- fix ldconf content
- drop old patches
- specify host also
- New version 6.4.0 RC3
- fix mislead sscanf
- fix typo
- final patch
- draft patch of tcl 8.6
- only freetype2 is needed
- more patch
- more patch
- 6.4.0 rc2
- more generic detection
- enalbe 64 bit
- add more patches
- first step to make it built
- clean spec

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

  + Buchan Milne <bgmilne@mandriva.org>
    - Rebuild for cfitsio change in library version
    - Fix ffmpeg and postgresql include paths
    - Enable readline support explicitly

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 6.2.3-2mdv2008.1
+ Revision: 167061
- Added proper ld.so.conf.d entry to allow applications like qgis knew that grass is available

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - New version 6.2.3

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 6.2.2-4mdv2008.0
+ Revision: 82015
- rebuild for new soname of tcl

* Wed Sep 05 2007 Buchan Milne <bgmilne@mandriva.org> 6.2.2-3mdv2008.0
+ Revision: 80437
- Fix proj data location (last of #33149)
- Remove unused blas buildrequires and blas-related patches

* Thu Jul 19 2007 Adam Williamson <awilliamson@mandriva.org> 6.2.2-2mdv2008.0
+ Revision: 53402
- rebuild with new lesstif
- lzma not bzip manpages
- drop X-Mandriva menu category
- fd.o icons

* Tue Jul 17 2007 Funda Wang <fwang@mandriva.org> 6.2.2-1mdv2008.0
+ Revision: 52948
- New version


* Tue Feb 06 2007 Buchan Milne <bgmilne@mandriva.org> 6.2.1-3mdv2007.0
+ Revision: 116819
- Enable a few more features

* Fri Dec 15 2006 Buchan Milne <bgmilne@mandriva.org> 6.2.1-2mdv2007.1
+ Revision: 97418
- buildrequire termcap-devel
- build system cant handle package name different to module name
-New version 6.2.1
-use versioned name on backports
-obsolete this versioned one in the cooker package to take care of upgrades
-drop irrelevant patches

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires

* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 6.0.2-1mdv2007.0
+ Revision: 58796
- Import grass

* Wed Aug 30 2006 Buchan Milne <bgmilne@mandriva.org> 6.0.2-1mdv2007.0
- 6.0.2
- fix buildrequires and lib/include paths for xorg 7.0 and later
- disable glw on 2007 and later until I can find the problem
- xdg menu

* Fri Feb 03 2006 Lenny Cartier <lenny@mandriva.com> 6.0.2-0.RC4.1mdk
- 6.0.2RC4

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 6.0.1-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.1-3mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.1-2mdk
Fix BuildRequires

* Sun Oct 02 2005 Lenny Cartier <lenny@mandriva.com> 6.0.1-1mdk
- 6.0.1

* Wed May 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 6.0.0-3mdk
- Rebuild ( Fix #15790)

* Wed Mar 16 2005 Buchan Milne <bgmilne@linux-mandrake.com> 6.0.0-2mdk
- rebuild

* Tue Mar 15 2005 Buchan Milne <bgmilne@linux-mandrake.com> 6.0.0-1mdk
- 6.0.0
- better requires
- cleanups and merge with changes in grass57
- use mkrel
- obsolete grass57

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandake.com> 5.0.3-3mdk
- rebuild for gcc-3.4

